Package org.eclipse.gef.mvc.fx.providers

# Class TransformProvider

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.providers.TransformProvider

All Implemented Interfaces:
  `Provider<Affine>`, `jakarta.inject.Provider<Affine>`, `IAdaptable.Bound<IVisualPart<? extends Node>>`

public class TransformProvider extends IAdaptable.Bound.Impl<IVisualPart<? extends Node>> implements Provider<Affine>
The `TransformProvider` can be registered on an `IVisualPart` to insert an `Affine` into its visual's transformations list and access that `Affine`. Per default, this `Affine` is manipulated to relocate or transform an `IVisualPart`.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`TransformProvider()`

## Method Summary

Modifier and Type
Method
Description
`Affine`
`get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformProvider

public TransformProvider()

## Method Details

### get

public Affine get()

Specified by:
  `get` in interface `Provider<Affine>`
Specified by:
  `get` in interface `jakarta.inject.Provider<Affine>`